// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface FxHistoricalTradeDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string tradeId = 1;</code>
   */
  java.lang.String getTradeId();
  /**
   * <code>optional string tradeId = 1;</code>
   */
  com.google.protobuf.ByteString
      getTradeIdBytes();

  /**
   * <code>optional string currency_pair = 2;</code>
   */
  java.lang.String getCurrencyPair();
  /**
   * <code>optional string currency_pair = 2;</code>
   */
  com.google.protobuf.ByteString
      getCurrencyPairBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  boolean hasNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getNotionalOrBuilder();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 4;</code>
   */
  int getSideValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 4;</code>
   */
  com.accelfin.server.demo.fx.dtos.SideDto getSide();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto price = 5;</code>
   */
  boolean hasPrice();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto price = 5;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto getPrice();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto price = 5;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder getPriceOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto executed_rate = 6;</code>
   */
  boolean hasExecutedRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto executed_rate = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getExecutedRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto executed_rate = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getExecutedRateOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  boolean hasExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getExecutedAtOrBuilder();
}
